import request from '@/utils/request'

// 查询基础试卷列表
export function listBusExamInfo(query) {
  return request({
    url: '/manage/busExamInfo/list',
    method: 'get',
    params: query
  })
}

// 查询基础试卷详细
export function getBusExamInfo(id) {
  return request({
    url: '/manage/busExamInfo/' + id,
    method: 'get'
  })
}

// 新增基础试卷
export function addBusExamInfo(data) {
  return request({
    url: '/manage/busExamInfo',
    method: 'post',
    data: data
  })
}

// 修改基础试卷
export function updateBusExamInfo(data) {
  return request({
    url: '/manage/busExamInfo',
    method: 'put',
    data: data
  })
}

// 删除基础试卷
export function delBusExamInfo(id) {
  return request({
    url: '/manage/busExamInfo/' + id,
    method: 'delete'
  })
}
